/**
 * utils.h
 *
 * Includes a number of utility classes and functions.
 *
 * Details are provided in each of the included header files.
 *
 */

#ifndef MLNET_UTILS_H_
#define MLNET_UTILS_H_

#include "exceptions.h"

#include "utils/counter.h" // Classes to count objects/values.
#include "utils/csv.h" // CSV file reader.
#include "utils/propertymatrix.h" // Representation of a network based on structures and observations.
#include "utils/math.h" // Basic mathematical functions and conversion from/to numbers/strings.
#include "utils/random.h" // Functions based on random number generation.
#include "utils/sortedrandommap.h" // A class used to store a set of objects that can be accessed both by id and by index.
#include "utils/sortedrandomset.h" // A class used to store a set of objects that can be accessed both by value and by index.

#endif /* MLNET_UTILS_H_ */
